# missingnewline

Prints a "🚫" character and adds a newline if the cursor is not in column 1.
You can use it in your shell prompt to tidy up after commands that output some
text without a trailing newline.

![Example terminal session showing the problem of an unterminated command mixing with the shell prompt, and then the program correctly detecting the presence or absence of a non-newline-terminated output and using the "🚫" character appropriately.](example.gif)

You can install this into your `~/.bashrc`, for example:

```
declare -a PROMPT_COMMAND
if [ -x "${HOME}/go/bin/missingnewline" ]
then
  PROMPT_COMMAND+=("${HOME}/go/bin/missingnewline")
fi
```
